I can not load an extention in Sketchup 14


#1

Dear Community,
when I start SketchUp I get a loading error and the CityGML-Editor-extention does not work (It is an extention for Sketchup 8, but it was said, that i should work in 14,too?):

C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/CityGML-loader.rb
Error: #<LoadError: 126: Das angegebene Modul wurde nicht gefunden. - C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/Win32API.so>
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire’
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/CityGML-loader.rb:4:in <top (required)>' C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:inrequire’
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in load' C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGmlExtension.rb:23:inregister_extension’
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGmlExtension.rb:23:in `<top (required)>’

Thank yout for your help! Kindly regards


#2

Looks like part of the error message is missing. Maybe the forum messed it up. Can try putting the error messages between triple backticks?

paste error message between the backticks


#3

no, this is it, it just says first error loading the data in german


Fehler beim Laden der Datei C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/CityGML-loader.rb
Error: #<LoadError: 126: Das angegebene Modul wurde nicht gefunden. - C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/Win32API.so>
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require' C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire’
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/CityGML-loader.rb:4:in <top (required)>' C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:inrequire’
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in load' C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGmlExtension.rb:23:inregister_extension’
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGmlExtension.rb:23:in `<top (required)>’


#4

→ `

Fehler beim Laden der Datei 
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 
2014/SketchUp/Plugins/CityGML/CityGML-loader.rb
Error: #
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:inrequire'
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGML/CityGML-loader.rb:4:in <top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:inrequire'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in load'
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGmlExtension.rb:23:inregister_extension'
C:/Users/FU-HolndonnerI/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/CityGmlExtension.rb:23:in `'

It fails to load ‘CityGML/Win32API.so’